Skip to main content
GET
/
api
/
public
/
v1
/
hip4
/
outcomes
/
{outcome_id}
/
recent-trades
Get API public v1 hip4 outcomes by outcome ID recent trades
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/hip4/outcomes/{outcome_id}/recent-trades \
  --header 'X-API-Key: <api-key>'
{
  "count": 123,
  "outcomeId": 123,
  "trades": [
    {
      "address": "<string>",
      "coin": "<string>",
      "dirId": 123,
      "fee": 123,
      "pnl": 123,
      "px": 123,
      "side": "<string>",
      "sideIndex": 123,
      "sz": 123,
      "tradeTime": "<string>"
    }
  ],
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

outcome_id
integer<int64>
required

Query Parameters

limit
integer<int64>
default:100

Max trades to return (1..500, default 100)

hours
integer<int64>
default:24

Look-back window in hours (default 24, max 168)

Response

OK

count
integer<int64>
required
outcomeId
integer<int64>
required
trades
object[] | null
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/HIP4RecentTradesBody.json"